'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Display = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _level = require('./level');

var _helpers = require('./helpers');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

if (_helpers.Helpers.isNode) {}

var Display = exports.Display = function () {
    function Display() {
        _classCallCheck(this, Display);
    }

    _createClass(Display, null, [{
        key: 'msg',
        value: function msg(message, params, moduleName, moduleColor, level, moduleWidth, isProductionMode) {
            if (isProductionMode) {
                return;
            }
            ;
            var color = 'gray';
            if (level === _level.Level.INFO) {
                color = 'deepskyblue';
            }
            if (level === _level.Level.ERROR) {
                color = 'red';
            }
            if (level === _level.Level.WARN) {
                color = 'orange';
            }
            if (moduleWidth) {
                var diff = moduleWidth - moduleName.length;
                if (diff > 0) {
                    for (var i = 0; i < diff; i++) {
                        moduleName += ' ';
                    }
                }
            }
            if (_helpers.Helpers.isBrowser) {
                var isEdgeOrIe8orAbove = document['documentMode'] || /Edge/.test(navigator.userAgent);
                if (isEdgeOrIe8orAbove) {
                    if (typeof message === 'string') {
                        var a1 = '[[ ' + moduleName + ' ]] ' + message + ' ';
                        params.unshift(a1);
                    } else {
                        var _a = '[[ ' + moduleName + ']] ';
                        params.push(message);
                        params.unshift(_a);
                    }
                    if (level === _level.Level.INFO) {
                        console.info.apply(console, params);
                    } else if (level === _level.Level.ERROR) {
                        console.error.apply(console, params);
                    } else if (level === _level.Level.WARN) {
                        console.warn.apply(console, params);
                    } else {
                        console.log.apply(console, params);
                    }
                } else {
                    if (typeof message === 'string') {
                        var _a2 = '%c ' + moduleName + '  %c ' + message + ' ';
                        var a2 = 'background: ' + moduleColor + ';color:white; border: 1px solid ' + moduleColor + '; ';
                        var a3 = 'border: 1px solid ' + color + '; ';
                        params.unshift(a3);
                        params.unshift(a2);
                        params.unshift(_a2);
                    } else {
                        var _a3 = '%c ' + moduleName + ' ';
                        var _a4 = 'background: ' + moduleColor + ';color:white; border: 1px solid ' + color + '; ';
                        params.push(message);
                        params.unshift(_a4);
                        params.unshift(_a3);
                    }
                    console.log.apply(console, params);
                }
            }
            if (_helpers.Helpers.isNode) {}
        }
    }]);

    return Display;
}();
//# sourceMappingURL=display.js.map